Loading...
Searching...
No Matches
EST_TTimeIndex< CONTAINER > Class Template Reference
Collaboration diagram for EST_TTimeIndex< CONTAINER >:
[legend]

## Public Types

typedef CONTAINER::Index | Index
typedef EST_TTI_Entry< CONTAINER > | Entry

## Public Member Functions

| EST_TTimeIndex (CONTAINER &c, int bunch=10)
void | index (CONTAINER &c, int bunch=10)
void | just_before (float time, Index &in) const

## Protected Member Functions

void | initialise ()

## Protected Attributes

CONTAINER * | p_container
EST_TVector< Entry > | p_entries
float | p_time_step

## Detailed Description

template<class CONTAINER>
class EST_TTimeIndex< CONTAINER >

Definition at line 56 of file EST_TTimeIndex.h.

## Member Typedef Documentation

## Index

template<class CONTAINER>

typedef CONTAINER::Index EST_TTimeIndex< CONTAINER >::Index

Definition at line 59 of file EST_TTimeIndex.h.

## Entry

template<class CONTAINER>

typedef EST_TTI_Entry<CONTAINER> EST_TTimeIndex< CONTAINER >::Entry

Definition at line 60 of file EST_TTimeIndex.h.

## Constructor & Destructor Documentation

## EST_TTimeIndex() [1/2]

template<class CONTAINER>

EST_TTimeIndex< CONTAINER >::EST_TTimeIndex | ( |  | ) |

Definition at line 51 of file EST_TTimeIndex.cc.

## EST_TTimeIndex() [2/2]

template<class CONTAINER>

EST_TTimeIndex< CONTAINER >::EST_TTimeIndex | ( | CONTAINER & | c,
|  | int | bunch = 10 )

Definition at line 58 of file EST_TTimeIndex.cc.

## Member Function Documentation

## initialise()

template<class CONTAINER>

void EST_TTimeIndex< CONTAINER >::initialise | ( |  | ) |

protected

Definition at line 44 of file EST_TTimeIndex.cc.

## index()

template<class CONTAINER>

void EST_TTimeIndex< CONTAINER >::index | ( | CONTAINER & | c,
|  | int | bunch = 10 )

Definition at line 65 of file EST_TTimeIndex.cc.

## just_before()

template<class CONTAINER>

void EST_TTimeIndex< CONTAINER >::just_before | ( | float | time,
|  | Index & | in ) const

inline

Definition at line 77 of file EST_TTimeIndex.h.

## Member Data Documentation

## p_container

template<class CONTAINER>

CONTAINER* EST_TTimeIndex< CONTAINER >::p_container

protected

Definition at line 63 of file EST_TTimeIndex.h.

## p_entries

template<class CONTAINER>

EST_TVector<Entry> EST_TTimeIndex< CONTAINER >::p_entries

protected

Definition at line 64 of file EST_TTimeIndex.h.

## p_time_step

template<class CONTAINER>

float EST_TTimeIndex< CONTAINER >::p_time_step

protected

Definition at line 65 of file EST_TTimeIndex.h.

The documentation for this class was generated from the following files:

- include/EST_TTimeIndex.h
- base_class/EST_TTimeIndex.cc